export const meta = {
  title: 'Update #3',
  type: 'Article',
  description: 'Catch up on recently shipped code, and what we have coming',
  featuredImage: {
    src: '/images/blog/tracy-status.png',
    alt: 'tracy waving next to a status seal'
  },
  date: '2021-04-02',
  tags: ['opstrace', 'observability', 'metrics', 'monitoring', 'open source'],
  authors: ['chris']
}

## What shipped?

It's crazy how hard it is to craft good, reliable alerts. Throw in scale beyond
one Prometheus instance and the problem gets even harder. This week we released
a new feature to enable API- and UI-based configuration of the scalable Cortex
Alertmanager. We published a [blog post](/blog/configuring-scalable-alerts)
about it, as well as a [user guide](/docs/guides/user/configuring-alerts) with
detailed instructions. Additional implementation details can be found on GitHub:

- https://github.com/opstrace/opstrace/pull/538
- https://github.com/opstrace/opstrace/pull/537
- https://github.com/opstrace/opstrace/pull/534

## What’s in progress?

**Cluster “Hibernation”**

Upgrades are hard, our goal is to deliver inplace upgrades without stopping the
system. But everything does not always work as planned and sometimes you need an
escape hatch. This is one of them. This feature will allow an opstrace instance
to be taken down without deleting any of the data (S3 buckets and RDS
configuration database) and then bring it back up. This tool allows for upgrades
and also bringing back clusters when all else has failed and time is of the
essence.

- https://github.com/opstrace/opstrace/issues/326
- https://github.com/opstrace/opstrace/pull/526

**Foundation for managing recording rules from the UI**

One can’t build good Prometheus alerts without some
[custom recording rules](https://prometheus.io/docs/prometheus/latest/configuration/recording_rules).
This work is simply the foundation to be able to manage rules through our UI in
the future. This will allow us to not only build management interfaces but more
importantly high level tools to help create better alerts such as SLOs and Error
Budgets.

- https://github.com/opstrace/opstrace/pull/525

**Cloud metrics UI**

A few weeks ago we released the
[cloud exporters feature](/blog/collecting-cloud-metrics-into-opstrace). This
will of course also get a proper UI over time. This PR is focused on the
credentials that are needed to go scrape other cloud accounts.

- https://github.com/opstrace/opstrace/pull/528
